Installer - Bug #22443

Evaluation Error: Error while evaluating a Resource Statement, Duplicate declaration:
01/29/2018 12:58 PM - Johannes Black

Status: Rejected
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
I geta

[ERROR 2018-01-29 13:45:13 main] Evaluation Error: Error while evaluating a Resource Statement, Duplicate declaration:
File[/etc/puppetlabs/puppet/ssl/private_keys] is already declared in file
/usr/share/foreman-installer/modules/foreman_proxy/manifests/config.pp:145; cannot redeclare at
/usr/share/foreman-installer/modules/puppet/manifests/server/config.pp:140 at
/usr/share/foreman-installer/modules/puppet/manifests/server/config.pp:140:3 on node foreman.ontram.de

after trying to install Foreman with foreman-installer.

Related issues:
Is duplicate of Katello - Bug #18806: Duplicate declaration: /etc/foreman-pro... Closed

History

#1 - 01/29/2018 12:58 PM - Johannes Black

- translation missing: en.field_release set to 332

#2 - 04/03/2018 10:36 AM - Daniel Lobato Garcia

- translation missing: en.field_release deleted (332)

#3 - 04/03/2018 01:06 PM - Ewoud Kohl van Wijngaarden

- Project changed from Kafo to Installer

Could you share a bit more? Which version of foreman-installer, which options were used (the answer file might be useful to have but feel free to
scrub hostnames and usernames/passwords).

#4 - 04/03/2018 02:41 PM - Johannes Black

| have upgraded to Foreman 17 RC2 where there are other problems which are reported as well. | think you can close it right now.
| will check out the to be released RC3 for problems that might persist.

Greetings and thanks

ib

#5 - 04/03/2018 09:10 PM - Anonymous

- Status changed from New to Rejected

#6 - 05/25/2018 02:08 PM - Eric Hansen
Same error, occurs after adding the option --foreman-proxy-puppetca=false to the following installation request. | had run with that option true
successfully yesterday, but had problems and was reverting it.

foreman-installer --scenario foreman-proxy-content \
--foreman-proxy-content-parent-fqdn "eh-katello.qa.catalogic.us™
--foreman-proxy-register-in-foreman "true"\
--foreman-proxy-foreman-base-url "https://eh-katello.qa.catalogic.us™

--foreman-proxy-trusted-hosts "eh-katello.qa.catalogic.us™

--foreman-proxy-trusted-hosts "atm-infrastructure-smartproxy-6861.ga.catalogic.us"\
--foreman-proxy-oauth-consumer-key "xxx"\

--foreman-proxy-oauth-consumer-secret "xxx"\

--foreman-proxy-content-certs-tar "/root/atm-infrastructure-smartproxy-6861.qga.catalogic.us.tar"\
--puppet-server-foreman-url "https://eh-katello.qa.catalogic.us" \

--foreman-proxy-puppet=false \
--foreman-proxy-puppetca=false \

--enable-foreman-proxy \

--foreman-proxy-tftp=true \
--foreman-proxy-tftp-servername='10.1.100.61"\
--foreman-proxy-dhcp=true \
--foreman-proxy-dhcp-interface='ens192' \
--foreman-proxy-dhcp-gateway='10.1.100.248" \
--foreman-proxy-dhcp-range='10.1.100.10 10.1.100.60" \
--foreman-proxy-dhcp-nameservers='10.1.100.61"\
--foreman-proxy-dhcp-subnets='10.1.100.0/255.255.255.0" \
--foreman-proxy-dhcp-option-domain="'automation.local’ \
--foreman-proxy-dhcp-search-domains="automation.local' \
--foreman-proxy-dhcp-pxeserver='10.1.100.61"\
--foreman-proxy-dns=true \
--foreman-proxy-dns-interface='ens192' \
--foreman-proxy-dns-zone="automation.local' \
--foreman-proxy-dns-reverse='100.1.10.in-addr.arpa’ \
--foreman-proxy-dns-server='10.1.100.61" \
--foreman-proxy-dns-forwarders='172.20.40.10'

My log snippet showing the error,

[ERROR 2018-05-25 10:00:05 main] Evaluation Error: Error while evaluating a Resource Statement, Duplicate declaration:
File[/etc/puppetlabs/puppet/ssl/private_keys] is already declared at (file: /usr/share/foreman-installer/modules/foreman_proxy/manifests/config.pp,
line: 150); cannot redeclare (file: /usr/share/foreman-installer/modules/puppet/manifests/server/config.pp, line: 135) (file:

/usr/share/foreman-installer/modules/puppet/manifests/server/config.pp, line: 135, column: 3) on node
atm-infrastructure-smartproxy-6861.qa.catalogic.us

[ERROR 2018-05-25 10:00:05 main] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:618:in
[ERROR 2018-05-25 10:00:05 main] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:142:in

[ERROR 2018-05-25 10:00:05 main] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:127:in
[ERROR 2018-05-25 10:00:05 main] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:127:in

#7 - 05/25/2018 02:09 PM - Eric Hansen
I'm running katello 3.6 (underlying 1.17.0)

#8 - 05/25/2018 02:20 PM - Eric Hansen

Attempted to resolve by adding --no-enable-puppet, same error

“fail_on_duplicate_type_and_title'
‘add_one_resource'

[ERROR 2018-05-25 10:00:05 main] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:128:in °
“each’
‘add_resource'

block in add_resource'

This is probably some compatibility issue with the default proxy installation settings not working... trying to make a smart proxy without puppet, using

the main katello server for that purpose.

#9 - 05/26/2018 09:36 AM - Klaas D

Duplicate of http://projects.theforeman.org/issues/18806

#10 - 05/26/2018 09:38 AM - Ewoud Kohl van Wijngaarden
- Is duplicate of Bug #18806: Duplicate declaration: /etc/foreman-proxy/ss|_key.pem added

05/16/2024

22


http://projects.theforeman.org/issues/18806
http://www.tcpdf.org

